Bug 25005 - Admin Rights issue for Suggestion to Purchase
Summary: Admin Rights issue for Suggestion to Purchase
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 22868
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-27 17:31 UTC by Christofer Zorn
Modified: 2020-05-05 07:31 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 25005: (bug 22868 follow-up) Fix suggestions pending on main page (2.85 KB, patch)
2020-04-07 11:36 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25005: (bug 22868 follow-up) Fix suggestions pending on main page (2.90 KB, patch)
2020-04-07 20:08 UTC, David Roberts
Details | Diff | Splinter Review
Bug 25005: (bug 22868 follow-up) Fix suggestions pending on main page (3.00 KB, patch)
2020-04-10 10:21 UTC, Marcel de Rooy
Details | Diff | Splinter Review
[19.11.x version] Bug 25005: (bug 22868 follow-up) Fix suggestions pending on main page (2.77 KB, patch)
2020-05-05 07:31 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christofer Zorn 2020-03-27 17:31:41 UTC
Hello All! I hope everyone staying safe during this time!

Yesterday I was trying to give a staff member permission to view and approve the "Suggestions Pending Approval". I had given that user full rights to the 'Suggestion Management' permission, however the option did not appear until I also provided the user with 'Moderate patron comments' under tools.

However, to continue testing this I removed the 'Suggestion Management' option and it did remove it.

I think there is something wrong with the check of the suggestion management piece that is preventing it from showing unless moderate comments option is also selected.

Thanks for looking into this.

Christofer
Comment 1 Jonathan Druart 2020-04-07 11:32:30 UTC
One occurrence missing on commit ae53caa6818939274352fde85454c24112e6f984
    Bug 22868: Move suggestions_manage subperm out of acquisition perm
Comment 2 Jonathan Druart 2020-04-07 11:36:52 UTC
Created attachment 102510 [details] [review]
Bug 25005: (bug 22868 follow-up) Fix suggestions pending on main page

There is a "Suggestions pending approval" link on the main page that is
displayed if there are new suggestions and the logged in user has the
permission to manage them.

On bug bug 22868 the permission changed from
acquisition.suggestions_manage to suggestions.suggestions_manage

But in the template, one occurrence has not been replaced correctly
(certainly because it was already wrong actually).

Test plan:
Create a suggestion at the OPAC
Create a patron with the suggestions permission
Use this patron to login at the staff interface
=> Without this patch the link does not appear on the main page
=> With this patch applied the link appears
Comment 3 David Roberts 2020-04-07 20:08:40 UTC
Created attachment 102526 [details] [review]
Bug 25005: (bug 22868 follow-up) Fix suggestions pending on main page

There is a "Suggestions pending approval" link on the main page that is
displayed if there are new suggestions and the logged in user has the
permission to manage them.

On bug bug 22868 the permission changed from
acquisition.suggestions_manage to suggestions.suggestions_manage

But in the template, one occurrence has not been replaced correctly
(certainly because it was already wrong actually).

Test plan:
Create a suggestion at the OPAC
Create a patron with the suggestions permission
Use this patron to login at the staff interface
=> Without this patch the link does not appear on the main page
=> With this patch applied the link appears

Signed-off-by: David Roberts <david@koha-ptfs.co.uk>
Comment 4 Marcel de Rooy 2020-04-10 10:21:59 UTC
Created attachment 102694 [details] [review]
Bug 25005: (bug 22868 follow-up) Fix suggestions pending on main page

There is a "Suggestions pending approval" link on the main page that is
displayed if there are new suggestions and the logged in user has the
permission to manage them.

On bug bug 22868 the permission changed from
acquisition.suggestions_manage to suggestions.suggestions_manage

But in the template, one occurrence has not been replaced correctly
(certainly because it was already wrong actually).

Test plan:
Create a suggestion at the OPAC
Create a patron with the suggestions permission
Use this patron to login at the staff interface
=> Without this patch the link does not appear on the main page
=> With this patch applied the link appears

Signed-off-by: David Roberts <david@koha-ptfs.co.uk>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Martin Renvoize 2020-04-14 07:37:14 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-05-04 21:16:08 UTC
does not apply to 19.11.x cleanly.  please rebase if needed.
Comment 7 Jonathan Druart 2020-05-05 07:31:19 UTC
Created attachment 104350 [details] [review]
[19.11.x version] Bug 25005: (bug 22868 follow-up) Fix suggestions pending on main page

There is a "Suggestions pending approval" link on the main page that is
displayed if there are new suggestions and the logged in user has the
permission to manage them.

On bug bug 22868 the permission changed from
acquisition.suggestions_manage to suggestions.suggestions_manage

But in the template, one occurrence has not been replaced correctly
(certainly because it was already wrong actually).

Test plan:
Create a suggestion at the OPAC
Create a patron with the suggestions permission
Use this patron to login at the staff interface
=> Without this patch the link does not appear on the main page
=> With this patch applied the link appears

Signed-off-by: David Roberts <david@koha-ptfs.co.uk>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>